package cn.superdesk.uniorder.dao.mapper.organisation;

import cn.superdesk.uniorder.dao.entity.organisation.SysEnterpriseExtInvoice;
import cn.superdesk.uniorder.dao.entity.organisation.SysEnterpriseExtInvoiceExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysEnterpriseExtInvoiceMapper {
    long countByExample(SysEnterpriseExtInvoiceExample example);

    int deleteByExample(SysEnterpriseExtInvoiceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysEnterpriseExtInvoice record);

    int insertSelective(SysEnterpriseExtInvoice record);

    List<SysEnterpriseExtInvoice> selectByExample(SysEnterpriseExtInvoiceExample example);

    SysEnterpriseExtInvoice selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysEnterpriseExtInvoice record, @Param("example") SysEnterpriseExtInvoiceExample example);

    int updateByExample(@Param("record") SysEnterpriseExtInvoice record, @Param("example") SysEnterpriseExtInvoiceExample example);

    int updateByPrimaryKeySelective(SysEnterpriseExtInvoice record);

    int updateByPrimaryKey(SysEnterpriseExtInvoice record);
}
